<section class="app" id="app">
    <PageHeader 
        :dataTransfer="data" 
        v-if="data.pagesReady=='true' &&
            data.infotypesReady=='true' &&
            data.informationReady=='true' &&
            data.financesReady=='true' &&
            data.reportsReady=='true' &&
            data.mainMenuReady=='true' &&
            data.mainMenuReady == 'true' &&
            data.footerMenuLeftReady == 'true' &&
            data.footerMenuRightReady == 'true'"
    ></PageHeader>
    <div class="main-content-block">
        <router-view 
            :dataTransfer="data"
            class="app-main-container"
            v-if="data.pagesReady=='true' &&
            data.infotypesReady=='true' &&
            data.informationReady=='true' &&
            data.financesReady=='true' &&
            data.reportsReady=='true' &&
            data.mainMenuReady=='true' &&
            data.mainMenuReady == 'true' &&
            data.footerMenuLeftReady == 'true' &&
            data.footerMenuRightReady == 'true'"
        >
        </router-view>
    </div>
    <PageFooter 
        :dataTransfer="data" 
        v-if="data.pagesReady=='true' &&
            data.infotypesReady=='true' &&
            data.informationReady=='true' &&
            data.financesReady=='true' &&
            data.reportsReady=='true' &&
            data.mainMenuReady=='true' &&
            data.mainMenuReady == 'true' &&
            data.footerMenuLeftReady == 'true' &&
            data.footerMenuRightReady == 'true'"
    ></PageFooter>
</section>
